Bug 1259510 - Review Request: gdalcpp - C++11 wrapper classes for GDAL/OGR
Review Request: gdalcpp - C++11 wrapper classes for GDAL/OGR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1260368
  Show dependency treegraph
 
Reported: 2015-09-02 16:25 EDT by Tom Hughes
Modified: 2015-10-31 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 00:20:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-09-02 16:25:37 EDT
Spec URL: http://download.compton.nu/tmp/gdalcpp.spec
SRPM URL: http://download.compton.nu/tmp/gdalcpp-0-0.1.20150825git75c0ac4.fc22.src.rpm
Fedora Account System Username: tomh

Description:
These are some small wrapper classes for GDAL offering:

* classes with RAII instead of the arcane cleanup functions in stock GDAL
* works with GDAL 1 and 2
* allows you to write less boilerplate code

The classes are not very complete, they just have the code I needed for
various programs.
Comment 1 Marcin Juszkiewicz 2015-09-18 10:18:31 EDT
This line:

Provides:       %{name}-static = %{version}-%{release}

is not needed as resulting package provides only C++ code files not static libraries.

Do not see other things to fix.
Comment 2 Tom Hughes 2015-09-18 10:19:33 EDT
Yes it's a header only library so per https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Header_Only_Libraries it needs to provide that ;-)
Comment 3 Marcin Juszkiewicz 2015-09-18 10:26:43 EDT
Do not see anything to change then.
Comment 4 Tom Hughes 2015-09-18 11:01:46 EDT
Does that mean you're going to approve the review?
Comment 5 Jared Smith 2015-10-09 14:23:25 EDT
Simple header-only package review.  Package is approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jared Smith <jsmith@fedoraproject.org>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gdalcpp-devel-0-0.1.20150825git75c0ac4.fc23.x86_64.rpm
          gdalcpp-0-0.1.20150825git75c0ac4.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
gdalcpp-devel (rpmlib, GLIBC filtered):



Provides
--------
gdalcpp-devel:
    gdalcpp-devel
    gdalcpp-devel(x86-64)
    gdalcpp-static



Source checksums
----------------
https://github.com/joto/gdalcpp/archive/75c0ac430d26eb422f1a051ee3450573a0434746/gdalcpp-75c0ac430d26eb422f1a051ee3450573a0434746.tar.gz :
  CHECKSUM(SHA256) this package     : 14cc3a2777c512cccd14af92de68883981003c60ea132b987289151284fcd30c
  CHECKSUM(SHA256) upstream package : 14cc3a2777c512cccd14af92de68883981003c60ea132b987289151284fcd30c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1259510
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Fedora Update System 2015-10-09 17:10:17 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-46f8f63b64
Comment 7 Fedora Update System 2015-10-09 17:10:23 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e950c3019d
Comment 8 Fedora Update System 2015-10-11 13:51:24 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdalcpp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-46f8f63b64
Comment 9 Fedora Update System 2015-10-11 14:49:47 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdalcpp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e950c3019d
Comment 10 Fedora Update System 2015-10-11 23:57:28 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdalcpp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-098cec28bb
Comment 11 Fedora Update System 2015-10-19 00:20:12 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-19 21:54:20 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-31 22:42:57 EDT
gdalcpp-0-0.1.20150825git75c0ac4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.